Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Dec 29 2020 10:11
    sour59 opened #857
  • Dec 21 2020 04:55
    Taalaibekova31 opened #856
  • Dec 11 2020 10:27
    popov-r commented #773
  • Dec 11 2020 10:26
    popov-r commented #773
  • Dec 10 2020 10:51
    JavaUnchained opened #855
  • Dec 02 2020 21:44

    fomars on master

    Update README.md (compare)

  • Dec 02 2020 21:40
    fomars closed #852
  • Dec 02 2020 19:25
    fomars synchronize #852
  • Dec 02 2020 19:25

    fomars on master

    Merge pull request #839 from ya… add options for influxdb upload… add documentation for ssl and p… and 3 more (compare)

  • Dec 01 2020 12:41
    fomars synchronize #852
  • Dec 01 2020 12:41

    fomars on master

    fix binary ammo & caseline + te… YANDEXTANK-456 fix encoding whi… fix test data ref:bc5f5a0d8f30… and 1 more (compare)

  • Dec 01 2020 12:41
    fomars closed #854
  • Nov 30 2020 10:49
    fomars opened #854
  • Nov 23 2020 14:56
    fomars closed #853
  • Nov 23 2020 14:55
    fomars opened #853
  • Nov 09 2020 14:59
    thergbway commented #845
  • Nov 09 2020 01:06
    fomars opened #852
  • Nov 09 2020 01:05

    fomars on master

    Merge pull request #2 from yand… PR from branch users/ival83/yan… PR from branch users/fomars/add… and 68 more (compare)

  • Nov 09 2020 01:05
    fomars closed #851
  • Nov 05 2020 16:06
    arcadia-devtools synchronize #851
Ivan Naidenov
@vanyarock01
Товарищи. Подскажите, есть ли способ отключить логирование у танка или как-то уменьшить объем логов?
Ivan Naidenov
@vanyarock01
Уточняю вопрос. Логи пишем из пандоры.
Vladislav Popov
@WhatIsLooove
Всем привет, сталкиваюсь с ошибкой в консоли во время теста
Too_many_open_files
Выполнил команду ulimit -n 50000, а после нее рпс не поднимается выше 1700
Подскажите пожалуйста как пофиксить ошибку и рпс чтобы был такой как в конфиге пишу?
Evgeniy Moskalenko
@evgmoskalenko

Привет, ребят, подскажите пожалуйста, что делаю не так.

У меня есть кубер, в котором стоит nginx-ingress-controller и авторизация, через mTLS

Мой docker-compos:

version: '2'
services:
  yandex-tank:
    image: direvius/yandex-tank:latest
    network_mode: host
    environment:
    - SSH_AUTH_SOCK=/ssh-agent
    volumes:
    - $SSH_AUTH_SOCK:/ssh-agent
    - $PWD/config:/var/loadtest
    - $PWD/config/ssl/ca:/etc/ssl/certs # здесь я подкладываю самоподписной ca.crt (openssl s_client -showcerts -servername my-address.com -connect my-address.com:443 > ./ca-chain.pem)
    command: -c rps.line.yaml

rps.line.yaml

phantom:
  address: my-address.com:443
  ssl: true
  client_certificate: ./ssl/client-crt.pem
  client_key: ./ssl/client-key.pem
  timeout: 60s
  header_http: "1.1"
  headers:
    - "[Host: my-address.com]"
    - "[Content-Type: application/json]"
    - "[X-Request-ID: a5555aa-777a-5555-aa77-a55a7a5a77aa]"
    - "[Connection: close]"
  uris:
    - /api/servers/

когда запускаю yandex-tank, то вижу в логах - , то вижу в логах 401, тоесть авторизация не проходит. При этом с этой-же привтаной парой ключей (./ssl/client-crt.pem, ./ssl/client-key.pem), я могу выполнить запрос через Postman и если зайти в контейнер яндекс-танка, и выполнить curl, то тоже получаю 200ОК и без проблем проходит авторизация:

[tank]root@docker-desktop
curl https://my-address.com/api/servers/ \
  --header 'Host: my-address.com' \
  --cert ./ssl/client-crt.pem \
  --key ./ssl/client-key.pem

Логи:

docker-compose up --build
Recreating yandex_tank_yandex-tank_1 ... done
Attaching to yandex_tank_yandex-tank_1
yandex-tank_1  | No handlers could be found for logger "netort.resource"
yandex-tank_1  | 20:29:39 [INFO] New test id 2020-10-25_20-29-39.013273
yandex-tank_1  | 20:29:39 [INFO] Logging handler <logging.StreamHandler object at 0x7f947086f8d0> added
yandex-tank_1  | 20:29:39 [INFO] Logging handler <logging.StreamHandler object at 0x7f9470815ad0> added
yandex-tank_1  | 20:29:39 [INFO] Created a folder for the test. /var/loadtest/logs/2020-10-25_20-29-39.013273
yandex-tank_1  | 20:29:39 [INFO] Configuring plugins...
yandex-tank_1  | 20:29:39 [INFO] Loading plugins...
yandex-tank_1  | 20:29:39 [INFO] Testing connection to resolved address XX.XXX.XXX.XXX and port 443
yandex-tank_1  | 20:29:39 [INFO] Resolved my-address.com into XX.XXX.XXX.XXX:443
yandex-tank_1  | 20:29:39 [INFO] Configuring StepperWrapper...
yandex-tank_1  | 20:29:39 [INFO] Making stpd-file: /var/loadtest/logs/_087358e3c188451c46e17937cd1a12b7.stpd
yandex-tank_1  | 20:29:39 [INFO] Using UriStyleGenerator ammo reader
20:29:44 [INFO] Preparing test...4499, speed:    23 Krpsspeed:    14 Krps
yandex-tank_1  | 20:29:44 [INFO] Checking tank resources...
yandex-tank_1  | 20:29:45 [INFO] Starting test...
yandex-tank_1  | 20:29:45 [INFO] using verbose histogram
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.Phantom.plugin.Plugin object at 0x7f9470549f90> required 0.655622 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.Autostop.plugin.Plugin object at 0x7f9470578e10> required 0.000337 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.ShellExec.plugin.Plugin object at 0x7f9470549e10> required 0.000021 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.Console.plugin.Plugin object at 0x7f9470549550> required 0.000005 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.RCAssert.plugin.Plugin object at 0x7f94705494d0> required 0.000026 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.ResourceCheck.plugin.Plugin object at 0x7f9470549f50> required 0.000005 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Plugin <yandextank.plugins.JsonReport.plugin.Plugin object at 0x7f947088ea90> required 0.000005 seconds to start
yandex-tank_1  | 20:29:46 [INFO] Waiting for test to finish...
yandex-tank_1  | 20:29:46 [INFO] Artifacts dir: /var/loadtest/logs/2020-10-25_20-29-39.013273
yandex-tank_1  |  Data delay: 4s, RPS:  11
yandex-tank_1  |  Data delay: 4s, RPS:  11                                   ▃▇▇▇▇▇▆▇▇▇▇▇▇▇▇▇▇▇  . Duration: 0:00:22        ETA: 0:29:38
yandex-tank_1  |                                                                                 . 
yandex-tank_1  |  Percentiles (all/last 1m/last), ms:  . HTTP codes:                             . Hosts: docker-desktop => my-address.com
yandex-tank_1  |  100.0% <  446.0  446.0  408.9        . 182 +11  100.00% : 401 Unauthorized     .  Ammo:  
yandex-tank_1  |   99.5% <  446.0  446.0  408.9        .                                         . Count: 90000
yandex-tank_1  |   99.0% <  438.0  438.0  406.2        . Net codes:                              .  Load: line(10, 90, 30m)
yandex-tank_1  |   95.0% <  407.0  407.0  395.7        . 182 +11  100.00% :  0 Success           . 
yandex-tank_1  |   90.0% <  397.0  397.0  382.5        .                                         . Active instances: 5
yandex-tank_1  |   85.0% <  386.0  386.0  375.3        . Average Sizes (all/last), bytes:        . Planned requests: 11.0 for 0:00:00
yandex-tank_1  |   80.0% <  377.0  377.0  368.0        .  Request: 193.3 / 191.5  ▇▇▇▇▇▇▇▇▇▇▇▇▇  . Actual responses: 11
yandex-tank_1  |   75.0% <  373.0  373.0  365.5        . Response: 225.0 / 225.0  ▇▇▇▇▇▇▇▇▇▇▇▇▇  .         Accuracy: 0.00%
yandex-tank_1  |   70.0% <  370.0  370.0  363.0        .                                         .         Time lag: 0:00:00
yandex-tank_1  |   60.0% <  360.0  360.0  357.0        . Average Times (all/last), ms:           . 
yandex-tank_1  |   50.0% <  354.0  354.0  343.3        . Overall: 358.89 / 354.04  ▇▇▇▇▇▇▇▇▆▇▇▇  . 
yandex-tank_1  |   40.0% <  350.0  350.0  341.0        . Connect: 271.90 / 268.99  ▇▇▇▇▇▇▇▇▆▇▇▇  . 
yandex-tank_1  |   30.0% <  344.0  344.0  338.0        .    Send:   0.18 /   0.06  ▇▂▁▁▁▁▁▁_▂__  . 
yandex-tank_1  |   20.0% <  338.0  338.0  338.0        . Latency:  83.76 /  81.69  ▇▇▇▇▇▇▇▇▇▇▇▇  . 
yandex-tank_1  |   10.0% <  333.0  333.0  334.0        . Receive:   3.05 /   3.31  ▇▄▃▁▁_▁▂___▂  . 
yandex-tank_1  |                                                                                 . 
yandex-tank_1  |                                                                                 . 
yandex-tank_1  |  Cumulative Cases Info:                                                         . 
yandex-tank_1  |      name count       % last net_e http_e avg ms last ms                        . 
yandex-tank_1  |  OVERALL:   182 100.00%  +11     0    182  358.8   354.0    ▃▇▇▇▇▇▆▇▇▇▇▇▇▇▇▇▇▇  .
Denisov Kirill
@denisovkv

Привет! Подскажите пжт, после запуска танка в докере создается большой файл

root           12685266944 окт 27 16:16 core.22

Кто-нибудь с таким сталкивался?

Elena
@h-elena
Привет. Уже несколько недель бьюсь с этим. Что пандора, что фантом отказываются работать с нестандартным портом по ssl. При запросе по порту 443 всё норм идет, но как только перехожу на иной порт, получаю 104 и connection reset by peer. Можете подсказать, может еще что нужно добавлять в конфиг, кроме - ssl: true?
Sayadov
@Sayadov
Привет! Подскажите, пожалуйста, после прогона появляетс Duration и нагрузка продолжается, как так
Karina
@sk_sagittarius_gitlab
предполагаю что танк не успел получить все ответы на запросы и после истечения установленного времени еще получает ответы от сервера
Grigoriy
@ligreen

Привет. Уже несколько недель бьюсь с этим. Что пандора, что фантом отказываются работать с нестандартным портом по ssl. При запросе по порту 443 всё норм идет, но как только перехожу на иной порт, получаю 104 и connection reset by peer. Можете подсказать, может еще что нужно добавлять в конфиг, кроме - ssl: true?

Привет, обычно этого достаточно бывает. А пробовали до любого другого сервиса по https стрельнуть, просто ради сравнения, скажем с 1rps?

Grigoriy
@ligreen

Привет! Подскажите, пожалуйста, после прогона появляетс Duration и нагрузка продолжается, как так

Если включить http_200 коды ответа, то вы увидите, что хоть график rps и растет до 50krps, реальная скорость ответов не превышает 30-40rps

танк перед началом стрельбы сформировал ленту запросов, согласно схемы нагрузки, но ему не хватило 2500 инстансов, чтобы выстрелить все эти запросы, т.к. тайминги достаточно большие у вас, заметная доля запросов отрабатывает за десятки секунд
попробуйте поднять количество инстансов в танке например до 30000 , вот эта опция: https://yandextank.readthedocs.io/en/latest/config_reference.html#id20 и повторите стрельбу и максимальный rps поставьте по меньше скажем 1000 для начала и посмотрите что будет
Anatoly Popov
@aensidhe
Добрый день.
А куда обратиться по поводу приватной инсталляции оверлоада? :)
oybek
@oybek

Ребят всем привет
Пытаюсь запустить простенький тест из туториала:
load.yaml:

phantom:
  enabled: true
  address: cs-hydra-app.query.consul-test # [Target's address]:[target's port]
  headers:
    - "[Host: cs-hydra-app.query.consul-test]"
    - "[Cache-Control: no-cache]"
  uris:
    - /approve/
  load_profile:
    load_type: rps # schedule load by defining requests per second
    schedule: line(1, 10, 10m) # starting from 1rps growing linearly to 10rps during 10 minutes
console:
  enabled: true # enable console output
telegraf:
  enabled: false # let's disable telegraf monitoring for the first time

Пишет:

14:02:43 WARNING: /etc/yandex-tank is not acessible to get configs list
14:02:43 INFO: Loading configs...
14:02:43 ERROR: Can't load configs: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'
14:02:43 INFO: Exception: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/yandextank/core/consoleworker.py", line 214, in configure
    self.core.load_configs(configs)
  File "/usr/lib/python2.7/dist-packages/yandextank/core/tankcore.py", line 227, in load_configs
    self.config.load_files(configs)
  File "/usr/lib/python2.7/dist-packages/yandextank/core/tankcore.py", line 604, in load_files
    raise ex
MissingSectionHeaderError: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'

14:02:43 ERROR: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'
14:02:43 ERROR: Exception: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'

Я что-то упустил?

Maxim Baryshev
@super_makc_gitlab
@oybek попробуй добавить --- в начало файла load.yaml
adrukan
@adrukan
Всем привет. Подскажите пожалуйста почему не отображаются данные в таблице "Monitoring aggregates" на вкладке "Monitoring"-> "Aggregates"?
Данные собираю с помощью telegraf, графики отрисовываются нормально.
Elena
@h-elena
Привет. Как в пандоре задать Cipher Suite. Как поняла Фантом не поддерживает ECDHE-RSA-AES256-SHA384. Как это залить в конфиг для Пандоры?
Rubikoid
@Rubikoid

Всем привет, подскажите, что можно сделать, если при запуске с overload'ом плагин падает?
Debian 10.5, python 3.7.3, танк установлен из мастер-ветки.
Видел yandex/yandex-tank#773 с такой же ошибкой, но там ничего по существу нет.
Собственно, пишет:
В начале:

    Failed to create job on lunapark
    ChunkedEncodingError(ProtocolError('Connection broken: IncompleteRead(0 bytes read)', IncompleteRead(0 bytes read)))
    Failed to connect to Lunapark, disabling DataUploader

И в конце:

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 339, in new_job
        "api/job/create.json", data, trace=trace)[0]
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 285, in __post
        trace=trace)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 190, in __make_api_request
        response = self.__send_single_request(request, next(ids), trace=trace)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 128, in __send_single_request
        resp = self.session.send(p, timeout=self.connection_timeout)
      File "/usr/lib/python3/dist-packages/requests/sessions.py", line 686, in send
        r.content
      File "/usr/lib/python3/dist-packages/requests/models.py", line 828, in content
        self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
      File "/usr/lib/python3/dist-packages/requests/models.py", line 753, in generate
        raise ChunkedEncodingError(e)
    requests.exceptions.ChunkedEncodingError: ('Connection broken: IncompleteRead(0 bytes read)', IncompleteRead(0 bytes read))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 329, in plugins_end_test
        retcode = plugin.end_test(retcode)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 316, in end_test
        self.lp_job.interrupted.set()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 546, in lp_job
        self._lp_job = self.__get_lp_job()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 587, in __get_lp_job
        lp_job.send_config(LPRequisites.CONFIGINITIAL, yaml.dump(self.core.configinitial))
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 807, in send_config
        self.api_client.send_config(self.number, lp_requisites, content, trace=self.log_other_requests)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 765, in number
        self.create()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 789, in create
        trace=self.log_other_requests)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 356, in new_job
        raise self.JobNotCreated()
    yandextank.plugins.DataUploader.client.APIClient.JobNotCreated
Rubikoid
@Rubikoid
Окей, оказалось, что в файле был поломанный токен.
Roman
@9868-08
коллеги, а где изначально взять токен для overload? не нахожу на сайте
нашел! спасибо.
Evgeny Nichegovskiy
@DrBlast
Коллеги, установил последнюю версию танка из мастера, перестал работать мониторинг, какие-то обновления в monitoring.xml нужно сделать или баг?
09:46:18 [WARNING] Plugin plugin_telegraf failed:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 290, in wait_for_finish
    retcode = plugin.is_test_finished()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/plugin.py", line 217, in is_test_finished
    monitoring_data = self.monitoring.poll()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 102, in poll
    self.hash_hostname(agent.host): {
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 144, in hash_hostname
    return hashlib.md5(host).hexdigest()
TypeError: Unicode-objects must be encoded before hashing
09:46:18 [WARNING] Disabling plugin plugin_telegraf
Alexandr Ivanov
@trueival
@aensidhe Анатолий, добрый день. Overload бесплатный проект, но открывать код не планируется. Приватная инсталяция сейчас не возможна. А если не секрет, какую проблему вы хотите при её помощи решить? Результаты теста сложно связать с реальным проектом(если в них нет соответствующей метаинформации).
Alexandr Ivanov
@trueival
@DrBlast Привет. А можешь скинуть конфиг для воспроизведения? Похоже на проблему с обновлением питона.
Evgeny Nichegovskiy
@DrBlast
<Monitoring>
 <Host address="myhost" interval="1" username="userhere">
        <CPU fielddrop='["time_*", "usage_guest_nice"]'></CPU>
        <Kernel fielddrop='["active", "inactive", "total", "used_per*", "avail*"]'></Kernel>
        <Net fielddrop='["icmp*", "ip*", "udplite*", "tcp*", "udp*", "drop*", "err*"]' interfaces='["eth0","eth1","lo"]'></Net>
        <System fielddrop='["n_users", "n_cpus", "uptime*"]'></System>
        <Memory fielddrop='["active", "inactive", "total", "used_per*", "avail*"]'></Memory>
    <Disk devices='["sdb"]'></Disk>
    <Custom measure="call" diff="1" label="gc1-2-5-7">sudo jstat -gc 3705644 | tail -n 1 | awk -F' ' '{print $1 + $2 + $5 + $7}'</Custom>
    <Custom measure="call" diff="1" label="gc-3-4-6-8">sudo jstat -gc 3705644 | tail -n 1 | awk -F' ' '{print $3+$4+$6+$8}'</Custom>
    <Custom measure="call" diff="1" label="Disk ops">iostat -yd sdb 1 1 |grep sdb |awk '{print $2}'</Custom>
    <Netstat />
 </Host>
</Monitoring>
@trueival лови, Python v3.7.5 стоит
плюс еще авторизация в overload сломалась
GET https://login.persona.org/include.js net::ERR_NAME_NOT_RESOLVED
Alexandr Ivanov
@trueival
@DrBlast кажется дело как раз в названии хоста. Можешь обфусцировать заменив на часть символов но сохранив кодировку или спец символы?
Evgeny Nichegovskiy
@DrBlast
host-htz-reg1-2.mynodes.com
Rubikoid
@Rubikoid

Коллеги, установил последнюю версию танка из мастера, перестал работать мониторинг, какие-то обновления в monitoring.xml нужно сделать или баг?

09:46:18 [WARNING] Plugin plugin_telegraf failed:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 290, in wait_for_finish
    retcode = plugin.is_test_finished()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/plugin.py", line 217, in is_test_finished
    monitoring_data = self.monitoring.poll()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 102, in poll
    self.hash_hostname(agent.host): {
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 144, in hash_hostname
    return hashlib.md5(host).hexdigest()
TypeError: Unicode-objects must be encoded before hashing
09:46:18 [WARNING] Disabling plugin plugin_telegraf

Баг появился скорее всего после обновления питона, в третьем надо передавать host.encode()

Можно просто поправить строку в файле
szypulka
@szypulka

@DrBlast а можно подробностей про авторизацию? Невозможно залогиниться в вебсервисе с OAuth?

плюс еще авторизация в overload сломалась
GET https://login.persona.org/include.js net::ERR_NAME_NOT_RESOLVED

Alexandr Ivanov
@trueival
ага, на внутренней инсталяции в эту ветку кода мы не попадаем. Воспроизвёл, сейчас поправлю. Но к сожалению надо дождаться когда весь пайплайн пройдёт, пока наружу фикс уйдёт
Evgeny Nichegovskiy
@DrBlast
@szypulka не работает кнопка входа в правом верхнем углу экрана (почему-то только ее пробовал). Большая кнопка с надписью "Sign in" отрабатывает нормально
1 reply
Вообще не отображается предложение выбора способа авторизации. Происходит переагрузка страницы
Alexey Stepanov
@Arsennikum

Люди добрые!
Подскажите, почему танк отдаёт какие-то страшные значения времени ответа в несколько сотен мс даже для простой заглушки, отдающей заготовленный ответ https://overload.yandex.net/355519 (в графане через influxdb тоже самое)

Тогда как если прямо во время теста параллельно попробовать постманом, то он отдаёт за пару мс, а если к сервису подключить актуатор, то он тоже показывает нормальные данные с минимальными значениями ответа
actuator

вот мой load.yaml

phantom:
  address: host.docker.internal:8888
  ammofile: ammofile.txt
  ammo_type: phantom
  instances: 350
  load_profile:
    load_type: rps
    schedule: const(1500,10m)
console:
  enabled: true
telegraf:
  enabled: false
popov-r
@popov-r
Привет всем, как увидеть веб интерфейс обстрела?
dmekhov
@dmekhov

Добрый день! Подскажите пожалуйста, можно ли заставить утилиту выполнять редиректы?
А так же получать и отправлять полученные куки вместе с запросами?

Задача: танк заходит на страницу, получает редирект в ответ, там ему вешается кука, он возвращается обратно. Ожидается что полученная кука будет видна в запросе на вернувшейся странице.

Sergey Kononenko
@hackfeed
Всем привет! Не подскажете, почему Танк не видит пандоровский бинарь? Подключаюсь в контейнер, все ок, файлы на месте, но тест не стартует.
yandex-tank_1  | 00:26:07 [INFO] Starting: ['/var/loadtest/binary/ammo', '/var/loadtest/logs/2020-12-14_00-25-45.628422/pandora_config_EOc012.yaml']
yandex-tank_1  | 00:26:08 [ERROR] Test interrupted:
yandex-tank_1  | <type 'exceptions.RuntimeError'>: Unable to start Pandora binary and/or file does not exist: ['/var/loadtest/binary/ammo', '/var/loadtest/logs/2020-12-14_00-25-45.628422/pandora_config_EOc012.yaml']
Ivan Sushkov
@i.sushkov_gitlab
Привет, в одном из докладов рассказывали про оффлайн отчет который состоит из 1 html, что за плагин его строит?
QAProvider
@QAProvider
всем привет. как решить проблему?
ERROR: Package 'yandextank' requires a different Python: 3.8.5 not in '==3.7.*'
это при запуске sudo -H pip3 install https://api.github.com/repos/yandex/yandex-tank/tarball/master
Vyacheslav Egorov
@ozyab09
коллеги, всем привет!
а можно как-то получить информацию с последнего вывода консоли?
Strokachuk Oleg
@zifter
всем привет!
подскажите, ожидается ли поддержка docker image в актуальном состоянии?
С сборкой локально все еще наблюдаются проблемы:
yandex/yandex-tank#857
Alexandr Boltris
@AlexandrBoltris

Кто-нибудь знает, как поменять настройки (имя диска и имя сетевого адаптера) telegraf?
В логе проскакивает вот такой конфиг для телеграфа:

18:16:40 [INFO] Telegraf Result config {'username': 'root', 'comment': '', 'telegraf': '/usr/bin/telegraf', 'python': '/usr/bin/env python2', 'host_config': {'Kernel': {'fielddrop': '["boot_time"]', 'name': '[inputs.kernel]'},
'System': {'fielddrop': '["n_users", "n_cpus", "uptime*"]', 'name': '[inputs.system]'},
'Memory': {'fielddrop': '["active", "inactive", "total", "used_per*", "avail*"]', 'name': '[inputs.mem]'},
'Net': {'interfaces': '["eth0","eth1","eth2","eth3","eth4","eth5"]', 'fielddrop': '["icmp*", "ip*", "udplite*", "tcp*", "udp*", "drop*", "err*"]', 'name': '[inputs.net]'},
'Disk': {'name': '[inputs.diskio]', 'devices': '["vda0","sda0","vda1","sda1","vda2","sda2","vda3","sda3","vda4","sda4","vda5","sda5"]'},
'CPU': {'fielddrop': '["time_*", "usage_guest_nice"]', 'name': '[inputs.cpu]', 'percpu': 'false'}},
'startup': [], 'host': 'test1.tld', 'telegrafraw': [], 'shutdown': [], 'port': 22, 'interval': 1, 'custom': [], 'source': []}

А у меня в системе нет eth0. Есть enp0s31f6. Ну и такая же история с NVMe дисками.

Alexandr Boltris
@AlexandrBoltris
Сам разобрался. Вот:
<Monitoring>
        <Host address="test1.tld">
                <CPU/>
                <Kernel/>
                <Net/>
                <System/>
                <Memory/>
                <Net interfaces='["enp35s0", "enp35s1"]'/>
                <Disk devices='["md1", "md2"]'/>
        </Host>
</Monitoring>
Mikhail Pekhota
@mpekhota
Кто подскажет, в чем может быть проблема? Настраиваю ammo.txt, выполняю запуск "стрельб" и каждый раз получаю ошибку 400 bad request. С теми же параметрами postman отрабатывает запросы. ammo.txt формировал python-скриптом из документации. Сам yandex.tank запускаю в Docker.
Tester224373
@Tester224373
@QAProvider аналогичная проблема. Обновление и изначальная установка версии питона с 3.7 и позже не помогла.
QAProvider
@QAProvider

@QAProvider аналогичная проблема. Обновление и изначальная установка версии питона с 3.7 и позже не помогла.

В итоге через докер делаем весь запуск, т.к. не нашли способ заинсталлить все это добро. Рекомендую делать тоже самое.